with Xv_Base_Package,Xv_Frame_Package,Xv_Panel_Package,Xv_Menu_Package;
use  Xv_Base_Package,Xv_Frame_Package,Xv_Panel_Package,Xv_Menu_Package;

package Demo2_Frame_Package is
  type Demo2_Frame is new Xv_Frame with private;
  type Demo2_Frame_Ptr is access all Demo2_Frame;

  rad1 : aliased string := "Item 1";
  rad2 : aliased string := "Item 2";
  rad3 : aliased string := "Item 3";
  
  private
    type Demo2_Frame is new Xv_Frame with
    record
       Panel_Ptr  : Xv_Panel_Ptr;
       Button_Ptr : Xv_Panel_Button_Ptr;
       Quit_Ptr   : Xv_Panel_Button_Ptr;
       Text_Ptr   : Xv_Panel_Text_Ptr;
       Num_Ptr    : Xv_Panel_Numeric_Ptr;
       Menu_Ptr   : Xv_Menu_Ptr;
       Choice_Ptr : Xv_Panel_Choice_Ptr;
       Toggle_Ptr : Xv_Panel_Toggle_Ptr;
       Chkbox_Ptr : Xv_Panel_Checkbox_Ptr;
       Slider_Ptr : Xv_Panel_Slider_Ptr;
       Gauge_Ptr  : Xv_Panel_Gauge_Ptr;
       Some_Data  : Integer;
    end record;

    procedure Initialize (V : in out Demo2_Frame);
    procedure Finalize (V : in out Demo2_Frame);
    procedure Quit_Func(Item : Panel_Item;  Event : Integer);
end Demo2_Frame_Package;
